Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionThreeToVersionFourUpgrader.OldCVSRepository

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.repository.cvsimpl.CVSCommand
              com.atlassian.bamboo.upgrader.VersionThreeToVersionFourUpgrader.OldCVSRepository

Enclosing class:
  VersionThreeToVersionFourUpgrader

    public class VersionThreeToVersionFourUpgrader.OldCVSRepository

extends CVSCommand

Field Summary

Fields inherited from class com.atlassian.bamboo.repository.cvsimpl.CVSCommand
`myWorkingDir`

Constructor Summary
`VersionThreeToVersionFourUpgrader.OldCVSRepository()`

Method Summary
`Commandline` | `getCommandLine()` What the is the command line to execute?
`String` | `getCvsRoot()`
`String` | `getModule()`
`String` | `getName()`
`int` | `getQuietPeriod()`
`String` | `getRepositoryUrl()`

Methods inherited from class com.atlassian.bamboo.repository.cvsimpl.CVSCommand
`getWorkingDirectory, setCvsRoot, setModuleName, setWorkingDir`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionThreeToVersionFourUpgrader.OldCVSRepository

    public VersionThreeToVersionFourUpgrader.OldCVSRepository()

Method Detail

### getCommandLine

    public Commandline getCommandLine()

  Description copied from class: `Command`
  What the is the command line to execute?

  Specified by:
    `getCommandLine` in class `Command`
  Returns:
    The command line

### getModule

    public String getModule()

### getName

    public String getName()

### getCvsRoot

    public String getCvsRoot()

### getRepositoryUrl

    public String getRepositoryUrl()

### getQuietPeriod

    public int getQuietPeriod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.